<?php
namespace Teknisa\OPL\Modules\Consolidacao\Controllers;

use Teknisa\GER\Controllers\TeknisaCrud;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request\Filter;
use Zeedhi\Framework\DTO\Response\Error;

class Sup07800DataEmbarque extends TeknisaCrud {
    
    protected $crudService;
	protected $dataSourceManager;
	protected $parameterBag;
	protected $environment;
    protected $dataSourceName;
    protected $parameterBagColumns = array();
    
    public function __construct($crudService, $parameterBag, $dataSourceManager, $environment) {
        parent::__construct($crudService, $parameterBag);
        $this->dataSourceManager = $dataSourceManager;
        $this->environment = $environment;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        
        $filterCriteria = $request->getFilterCriteria();
        $conditions = $filterCriteria->getConditions();

        $this->dataSourceName = "sup07800_Filter";
        
        $newFilterCriteria = new FilterCriteria($this->dataSourceName, $conditions);
        $newRequest = new Filter($newFilterCriteria, $request->getMethod(), $request->getRoutePath(), $request->getUserId());

        parent::find($newRequest, $response);
    }
}