{
    "name": "Data_de_embarque_Operador_logístico",
    "label": "Data de embarque - Operador logístico",
    "showFooter": true,
    "showMenu": true,
    "showHeader": true,
    "footer": "component/footer.html",
    "template": "container/window.html",
    "menuTemplate": "component/menu.html",
    "events": [],
    "widgets": [
        {
            "id": "5331573571675416739370",
            "name": "gridDatadeembarqueOperadorlogístico",
            "label": "Data de embarque - Operador logístico",
            "isVisible": true,
            "template": "widget/master_detail/grid.html",
            "reportShowOnlyVisibleFields": true,
            "order": "  CDFILIAL",
            "dataSource": {
                "name": "opl#/filial",
                "rest": true,
                "lazyLoad": true
            },
            "floatingControl": {
                "visibleModes": [
                    "list"
                ]
            },
            "actions": [
                {
                    "id": "5331573572434825416416",
                    "name": "adicionar",
                    "label": "Adicionar",
                    "icon": "plus",
                    "showAsAction": "always",
                    "events": [
                        {
                            "id": "5331573572117886044417",
                            "name": "ActionEvent",
                            "code": "TelaController.editarTela(args.owner.widget)"
                        }
                    ]
                },
                {
                    "id": "5331573573609966454418",
                    "name": "edit",
                    "label": "Editar",
                    "icon": "pencil",
                    "showAsAction": "view",
                    "events": [
                        {
                            "id": "5331573574142696143419",
                            "name": "FieldBeforeSelectOpen",
                            "code": "TelaController.editarTela(args.owner.widget)"
                        }
                    ]
                },
                {
                    "id": "533157357441021448420",
                    "name": "excluir",
                    "label": "Excluir",
                    "icon": "trash",
                    "showAsAction": "view",
                    "events": [
                        {
                            "id": "5331573571047262903421",
                            "name": "ActionEvent",
                            "code": "TelaController.deletarTela(args.owner.widget)"
                        }
                    ]
                },
                {
                    "id": "5331573573634075071422",
                    "name": "salvar",
                    "label": "Salvar",
                    "showAsAction": "never_edit",
                    "hideIcon": true,
                    "events": [
                        {
                            "id": "533157357589319061423",
                            "name": "ActionEvent",
                            "code": "TelaController.salvarTela(args.owner.widget)"
                        }
                    ]
                },
                {
                    "id": "533157357409941390424",
                    "name": "cancelar",
                    "label": "Cancelar",
                    "showAsAction": "back_edit",
                    "hideIcon": true,
                    "events": [
                        {
                            "id": "5331573572792327680425",
                            "name": "ActionEvent",
                            "code": "TelaController.cancelarTela(args.owner.widget)"
                        }
                    ]
                },
                {
                    "id": "5331573571998624738426",
                    "name": "Voltar",
                    "label": "Voltar",
                    "showAsAction": "back_view",
                    "events": [
                        {
                            "id": "533157357177664009427",
                            "name": "ActionEvent",
                            "code": "ScreenService.goBack()"
                        }
                    ]
                }
            ],
            "fields": [
                {
                    "id": "533157357899910482401",
                    "name": "CDFILIAL",
                    "label": "Unidade",
                    "isVisible": false
                },
                {
                    "id": "5331573571371853540402",
                    "name": "NMFILIAL",
                    "label": "Operador Logístico",
                    "template": "zh-select-autocomplete#field/select-autocomplete.html",
                    "searchableFields": [
                        "CDFILIAL",
                        "NMFILIAL"
                    ],
                    "displayedFields": [
                        "CDFILIAL",
                        "NMFILIAL"
                    ],
                    "isVisible": false,
                    "showOnForm": false,
                    "showOnList": false,
                    "showOnView": false,
                    "readOnly": false,
                    "class": "12",
                    "validations": {},
                    "filterProperties": {
                        "isVisible": true,
                        "showOnForm": true,
                        "operator": "=",
                        "events": [
                            {
                                "id": "",
                                "name": "FieldOnChange",
                                "code": "TelaController.onChangeUnidade(args.owner.field.widget);TelaController.filialControlaTela()"
                            },
                            {
                                "name": "FieldOnClick",
                                "code": "args.owner.field.initializeField();"
                            }
                        ],
                        "validations": {
                            "required": false
                        }
                    },
                    "dataSource": {
                        "rest": true,
                        "lazyLoad": true
                    },
                    "dataSourceFilter": [
                        {
                            "name": "CDOPERADOR",
                            "operator": "=",
                            "value": "@getLocalVar('CDOPERADOR')@"
                        }
                    ],
                    "order": "CDFILIAL",
                    "showSelectAs": "grid",
                    "descriptionField": "NMFILIAL",
                    "valueField": "CDFILIAL",
                    "fields": [
                        {
                            "id": "5331573571973508054403",
                            "name": "CDFILIAL",
                            "label": "Código",
                            "showOnList": true,
                            "template": "field/text-edit.html"
                        },
                        {
                            "id": "5331573571536614564404",
                            "name": "NMFILIAL",
                            "label": "Operador",
                            "showOnList": true,
                            "template": "field/text-edit.html"
                        }
                    ],
                    "outData": {
                        "CDFILIAL": "CDFILIAL",
                        "NMFILIAL": "NMFILIAL",
                        "IDCNTRRESC": "IDCNTRRESC",
                        "IDFUNCAOFILI": "IDFUNCAOFILI"
                    },
                    "events": [
                        {
                            "id": "5331573574071435199405",
                            "name": "FieldOnClick",
                            "code": "args.owner.field.initializeField()"
                        }
                    ]
                },
                {
                    "id": "5331573571347288791406",
                    "name": "CDREGIAO",
                    "label": "Região",
                    "template": "zh-select-autocomplete#field/select-autocomplete.html",
                    "searchableFields": [
                        "CDREGIAO",
                        "NMREGIAO"
                    ],
                    "displayedFields": [
                        "CDREGIAO",
                        "NMREGIAO"
                    ],
                    "showSelectAs": "grid",
                    "isVisible": false,
                    "isVisibleOnReport": false,
                    "showOnForm": false,
                    "showOnList": false,
                    "showOnView": false,
                    "readOnly": false,
                    "fieldGroup": "ORI",
                    "filterProperties": {
                        "isVisible": true,
                        "showOnForm": true,
                        "operator": "=",
                        "readOnly": true,
                        "fieldGroup": "",
                        "label": "Região"
                    },
                    "valueField": "CDREGIAO",
                    "descriptionField": "NMREGIAO",
                    "order": "CDREGIAO",
                    "dataSource": {
                        "name": "opl#/regiao",
                        "lazyLoad": true,
                        "rest": true
                    },
                    "dataSourceFilter": [
                        {
                            "name": "CDREGIAO",
                            "operator": "=",
                            "value": "@General.getFieldValue('CDREGIAO','gridROperadorLogistico',true) || null@"
                        },
                        {
                            "name": "CDREGIAO",
                            "operator": "<>",
                            "value": " "
                        }
                    ]
                },
                {
                    "id": "533157357671728387407",
                    "name": "CDFILIAL",
                    "label": "Unidade",
                    "template": "zh-select-autocomplete#field/select-autocomplete.html",
                    "searchableFields": [
                        "CDFILIAL",
                        "NMFILIAL"
                    ],
                    "displayedFields": [
                        "CDFILIAL",
                        "NMFILIAL"
                    ],
                    "showSelectAs": "grid",
                    "isVisible": true,
                    "isVisibleOnReport": true,
                    "showOnForm": true,
                    "showOnList": true,
                    "showOnView": true,
                    "readOnly": false,
                    "fieldGroup": "ORI",
                    "filterProperties": {
                        "isVisible": true,
                        "showOnForm": true,
                        "operator": "=",
                        "readOnly": true,
                        "fieldGroup": "",
                        "label": "Unidade"
                    },
                    "valueField": "CDFILIAL",
                    "descriptionField": "NMFILIAL",
                    "order": "CDFILIAL",
                    "dataSource": {
                        "name": "opl#/filial",
                        "lazyLoad": true,
                        "rest": true
                    }
                },
                {
                    "id": "5331573571702608472408",
                    "showSelectAs": "grid",
                    "isVisible": true,
                    "isVisibleOnReport": false,
                    "showOnForm": true,
                    "showOnList": false,
                    "showOnView": true,
                    "readOnly": false,
                    "fieldGroup": "DEST",
                    "filterProperties": {
                        "isVisible": true,
                        "showOnForm": true,
                        "operator": "=",
                        "readOnly": true,
                        "fieldGroup": "",
                        "label": "Inicial"
                    },
                    "valueField": "CDFILIAL",
                    "descriptionField": "CDFILIAL",
                    "order": "CDFILIAL",
                    "dataSource": {
                        "name": "opl#/filial",
                        "lazyLoad": true,
                        "rest": true
                    }
                },
                {
                    "id": "5331573571960807318409",
                    "showSelectAs": "grid",
                    "isVisible": true,
                    "isVisibleOnReport": false,
                    "showOnForm": true,
                    "showOnList": false,
                    "showOnView": true,
                    "readOnly": false,
                    "fieldGroup": "DEST",
                    "filterProperties": {
                        "isVisible": true,
                        "showOnForm": true,
                        "operator": "=",
                        "readOnly": true,
                        "fieldGroup": "",
                        "label": "Filial"
                    },
                    "valueField": "CDFILIAL",
                    "descriptionField": "CDFILIAL",
                    "order": "CDFILIAL",
                    "dataSource": {
                        "name": "opl#/filial",
                        "lazyLoad": true,
                        "rest": true
                    }
                },
                {
                    "id": "533157357970525382410",
                    "isVisible": true,
                    "showOnList": true,
                    "showOnForm": true,
                    "showOnView": true,
                    "readOnly": true,
                    "label": "Filial",
                    "name": "CDFILIAL",
                    "descriptionOrder": 1,
                    "class": "4",
                    "template": "field/text-edit.html",
                    "filterProperties": {
                        "showOnForm": false,
                        "isVisible": false
                    }
                },
                {
                    "id": "5331573573736566725411",
                    "isVisible": true,
                    "showOnList": true,
                    "showOnForm": true,
                    "showOnView": true,
                    "readOnly": false,
                    "descriptionOrder": 2,
                    "maxlength": 100,
                    "label": "Nome da Filial",
                    "name": "NMFILIAL",
                    "class": "8",
                    "template": "field/text-edit.html",
                    "filterProperties": {
                        "showOnForm": false,
                        "isVisible": false
                    }
                },
                {
                    "id": "5331573572315222817412",
                    "isVisible": true,
                    "showOnList": true,
                    "showOnForm": true,
                    "showOnView": true,
                    "readOnly": false,
                    "descriptionOrder": 2,
                    "maxlength": 100,
                    "label": "Produto",
                    "name": "CDPRODUTO",
                    "class": "8",
                    "template": "field/text-edit.html",
                    "filterProperties": {
                        "showOnForm": false,
                        "isVisible": false
                    }
                },
                {
                    "id": "533157357921999831413",
                    "isVisible": true,
                    "showOnList": true,
                    "showOnForm": true,
                    "showOnView": true,
                    "readOnly": false,
                    "descriptionOrder": 2,
                    "maxlength": 100,
                    "label": "Nome do Produto",
                    "name": "NMPRODUTO",
                    "class": "8",
                    "template": "field/text-edit.html",
                    "filterProperties": {
                        "showOnForm": false,
                        "isVisible": false
                    }
                },
                {
                    "id": "5331573571772186094414",
                    "isVisible": true,
                    "showOnList": true,
                    "showOnForm": true,
                    "showOnView": true,
                    "readOnly": false,
                    "descriptionOrder": 2,
                    "maxlength": 100,
                    "label": "Nº de Dias",
                    "name": "NRDIAEMBARQUE",
                    "class": "8",
                    "template": "field/text-edit.html",
                    "filterProperties": {
                        "showOnForm": false,
                        "isVisible": false
                    }
                },
                {
                    "id": "533157357668044298415",
                    "isVisible": true,
                    "showOnList": true,
                    "showOnForm": true,
                    "showOnView": true,
                    "readOnly": false,
                    "descriptionOrder": 2,
                    "maxlength": 100,
                    "label": "Somente Dia Útil",
                    "name": "IDSOMENTEUTIL",
                    "class": "8",
                    "template": "field/text-edit.html",
                    "filterProperties": {
                        "showOnForm": false,
                        "isVisible": false
                    }
                }
            ],
            "widgets": [
                {
                    "id": "5331573573343361090371",
                    "name": "gridProduto",
                    "itemsPerPage": 30,
                    "label": "Produtos",
                    "template": "widget/master_detail/grid.html",
                    "reportShowOnlyVisibleFields": true,
                    "startFieldGroupsOpened": true,
                    "isVisible": true,
                    "order": "CDARVPROD",
                    "dataSource": {
                        "name": "opl#/produto",
                        "rest": true,
                        "lazyLoad": true
                    },
                    "dataSourceFilter": [
                        {
                            "name": "CDPRODUTO",
                            "operator": "=",
                            "value": "@General.getFieldValue('CDFILIAL','gridOperadorLogistico') || null@"
                        },
                        {
                            "name": "CDARVPROD",
                            "operator": "=",
                            "value": "@General.getFieldValue('NRREQUESTO','gridOperadorLogistico') || null@"
                        }
                    ],
                    "floatingControl": {
                        "visibleModes": [
                            "list"
                        ]
                    },
                    "actions": [
                        {
                            "id": "533157357596779261388",
                            "name": "voltarPagina",
                            "label": "Voltar",
                            "showAsAction": "back_view|back_list",
                            "events": [
                                {
                                    "id": "5331573573713686269389",
                                    "name": "ActionEvent",
                                    "code": "ScreenService.goBack();templateManager.container.getWidget('gridOperadorLogistico').reload()"
                                }
                            ]
                        },
                        {
                            "id": "5331573573893660873390",
                            "name": "adicionarRow",
                            "label": "Adicionar",
                            "icon": "plus",
                            "showAsAction": "always",
                            "events": [
                                {
                                    "id": "5331573574190327289391",
                                    "name": "ActionEvent",
                                    "code": "TelaController.controlaStatusWidgets(args.owner.widget,'gridProdutos',false);args.owner.widget.newRow();"
                                }
                            ]
                        },
                        {
                            "id": "533157357471979738392",
                            "name": "editar",
                            "label": "Editar",
                            "icon": "pencil",
                            "showAsAction": "view",
                            "events": [
                                {
                                    "id": "5331573571527929104393",
                                    "name": "ActionEvent",
                                    "code": "General.edit(args.owner.widget);TelaController.controlaStatusWidgets(args.owner.widget,'gridProdutos',false);"
                                }
                            ]
                        },
                        {
                            "id": "5331573573762150049394",
                            "name": "DELETE",
                            "label": "Excluir",
                            "icon": "trash",
                            "showAsAction": "view",
                            "events": [
                                {
                                    "id": "5331573573087854853395",
                                    "name": "ActionEvent",
                                    "code": "TelaController.deletarProduto(args.owner.widget)"
                                }
                            ]
                        },
                        {
                            "id": "533157357110110863396",
                            "name": "cancelarEdit",
                            "label": "Cancelar",
                            "hideIcon": true,
                            "showAsAction": "back_edit",
                            "events": [
                                {
                                    "id": "5331573574020330667397",
                                    "name": "ActionEvent",
                                    "code": "Tela.cancelarProdutos(args);"
                                }
                            ]
                        },
                        {
                            "id": "5331573572897037355398",
                            "name": "salvar",
                            "label": "Salvar",
                            "showAsAction": "never_edit",
                            "events": [
                                {
                                    "id": "5331573572484889894399",
                                    "name": "ActionEvent",
                                    "code": "TelaController.salvarProduto(args.owner.widget)"
                                }
                            ]
                        }
                    ],
                    "events": [
                        {
                            "id": "533157357921601883400",
                            "name": "WidgetAfterMoveRow",
                            "code": "TelaController.recarrecarWidgetsFilhas(args.owner);"
                        }
                    ],
                    "fields": [
                        {
                            "id": "5331573571743734766383",
                            "label": "Nome",
                            "name": "CDARVPROD",
                            "template": "field/text-edit.html",
                            "isVisible": true,
                            "showOnForm": true,
                            "showOnList": true,
                            "showOnView": true,
                            "readOnly": true,
                            "descriptionOrder": 2,
                            "class": "4",
                            "events": []
                        },
                        {
                            "id": "5331573571167386626384",
                            "name": "NMPRODUTO",
                            "label": "Produto",
                            "template": "zh-select-autocomplete#field/select-autocomplete.html",
                            "searchableFields": [
                                "CDARVPROD",
                                "NMPRODUTO"
                            ],
                            "displayedFields": [
                                "CDARVPROD",
                                "NMPRODUTO"
                            ],
                            "isVisible": true,
                            "showOnForm": true,
                            "showOnList": true,
                            "showOnView": true,
                            "readOnly": false,
                            "readOnlyOnEdit": true,
                            "class": "6",
                            "order": "CDARVPROD",
                            "events": [
                                {
                                    "id": "533157357653259104385",
                                    "name": "FieldOnChange",
                                    "code": "TelaController.verficaProduto(args.owner.field.widget);Est33000_RequisicaoEstoque_Controller.apagaValoresLote(args.owner.field.widget);"
                                },
                                {
                                    "id": "5331573571352749578386",
                                    "name": "FieldOnClick",
                                    "code": "args.owner.field.initializeField();"
                                }
                            ],
                            "descriptionOrder": 1,
                            "validations": {
                                "required": true
                            },
                            "showSelectAs": "grid",
                            "dataSource": {
                                "name": "opl#/filial",
                                "rest": true,
                                "lazyLoad": true
                            },
                            "dataSourceFilter": [
                                {
                                    "name": "CDFILIAL",
                                    "operator": "=",
                                    "value": "@General.getFieldValue('CDFILIAL','gridOperadorLogistico') || null@"
                                },
                                {
                                    "name": "CDNVPRODUTO",
                                    "operator": "=",
                                    "value": "@General.getLevelByMask('CDPRODUTO',1).length@"
                                },
                                {
                                    "name": "NMPRODUTO",
                                    "operator": "=",
                                    "value": "A"
                                },
                                {
                                    "name": "NMPRODUTO",
                                    "operator": "=",
                                    "value": "S"
                                },
                                {
                                    "name": "IDCNTRESTOQ",
                                    "operator": "=",
                                    "value": "S"
                                }
                            ],
                            "outData": {
                                "CDPRODUTO": "CDPRODUTO",
                                "CDARVPROD": "CDARVPROD",
                                "CDNVPRODUTO": "CDNVPRODUTO",
                                "NMPRODUTO": "NMPRODUTO"
                            },
                            "valueField": "CDARVPROD",
                            "descriptionField": "NMPRODUTO"
                        },
                        {
                            "id": "5331573572745913046387",
                            "name": "SGUNIDADE",
                            "label": "Operador Logístico",
                            "template": "field/text-edit.html",
                            "isVisible": true,
                            "showOnForm": true,
                            "showOnList": true,
                            "showOnView": true,
                            "readOnly": true,
                            "class": "2",
                            "events": []
                        }
                    ],
                    "widgets": [
                        {
                            "id": "5331573572401027755372",
                            "name": "gridMensagemPorduto",
                            "label": "Mensagem",
                            "template": "widget/form-view.html",
                            "isVisible": true,
                            "dataSource": {
                                "name": "est#/crud/mensrequesto",
                                "rest": true,
                                "lazyLoad": true
                            },
                            "dataSourceFilter": [
                                {
                                    "name": "CDFILIAL",
                                    "operator": "=",
                                    "value": "@General.getFieldValue('CDFILIAL','gridProdutosRequisicao') || null@"
                                },
                                {
                                    "name": "NRREQUESTO",
                                    "operator": "=",
                                    "value": "@General.getFieldValue('NRREQUESTO','gridProdutosRequisicao') || null@"
                                },
                                {
                                    "name": "CDPRODUTO",
                                    "operator": "=",
                                    "value": "@General.getFieldValue('CDPRODUTO','gridProdutosRequisicao') || null@"
                                }
                            ],
                            "events": [
                                {
                                    "id": "5331573572423046951382",
                                    "name": "WidgetAfterLoadDataSource",
                                    "code": "TelaController.widgetOnEnter(args)"
                                }
                            ],
                            "actions": [
                                {
                                    "id": "5331573571979818610374",
                                    "name": "voltarPagina",
                                    "label": "Voltar",
                                    "showAsAction": "back_view|back_list",
                                    "events": [
                                        {
                                            "id": "533157357216477131375",
                                            "name": "ActionEvent",
                                            "code": "ScreenService.goBack();"
                                        }
                                    ]
                                },
                                {
                                    "id": "5331573572009020962376",
                                    "name": "BACK_EDIT",
                                    "label": "Cancelar",
                                    "showAsAction": "back_edit",
                                    "hideIcon": true,
                                    "events": [
                                        {
                                            "id": "5331573573123073928377",
                                            "name": "ActionEvent",
                                            "code": "General.widgetCancelForm(args.owner.widget);"
                                        }
                                    ]
                                },
                                {
                                    "id": "533157357389463900378",
                                    "name": "EDIT",
                                    "label": "Editar",
                                    "icon": "pencil",
                                    "showAsAction": "always|view",
                                    "events": [
                                        {
                                            "id": "5331573571817883549379",
                                            "name": "ActionEvent",
                                            "code": "General.widgetEdit(args.owner.widget);"
                                        }
                                    ]
                                },
                                {
                                    "id": "5331573574186269105380",
                                    "name": "SAVE",
                                    "label": "Salvar",
                                    "showAsAction": "never_edit",
                                    "events": [
                                        {
                                            "id": "533157357348912082381",
                                            "name": "ActionEvent",
                                            "code": "TelaController.salvarMensagemProduto(args.owner.widget);"
                                        }
                                    ]
                                }
                            ],
                            "fields": [
                                {
                                    "id": "5331573572323159497373",
                                    "name": "DSOBSREQUEST",
                                    "label": "Mensagem",
                                    "template": "field/textarea.html",
                                    "isVisible": true,
                                    "showOnForm": true,
                                    "maxlength": 1000,
                                    "showOnView": true,
                                    "class": "12",
                                    "events": []
                                }
                            ],
                            "widgets": []
                        }
                    ]
                }
            ]
        }
    ],
    "id": "1942638201428296665369",
    "parentMenuId": "",
    "parentMenuName": "data_de_embarque_Operador_logístico",
    "parentMenuLabel": "Date de Embarque Operador logístico"
}